SSH-RAND-HELPER(8)

NAME
ssh-rand-helper - Random number gatherer for OpenSSH

SYNOPSIS
ssh-rand-hlper [-vxXh] [-b bytes]

DESCRIPTION
ssh-rand-helper is a small helper program used by ssh(1), ssh-add(1), ssh-agent(1), ssh-keygen(1), ssh-keyscan(1) and sshd(8) to gather random numbers of cryptographic quality if the openssl(4) library has not been configured to provide them itself. Normally ssh-rand-helper will generate a strong random seed and provide it to the calling program via standard output. If standard output is a tty, ssh-rand-helper will instead print the seed in hexidecimal format unless told otherwise. ssh-rand-helper will by default gather random numbers from the system commands listed in $GLOBUS_LOCATION/etc/ssh/ssh_prng_cmds. The output of each of the commands listed will be hashed and used to generate a random seed for the calling program. ssh-rand-helper will also store seed files in ~/.ssh/prng_seed between executions. Alternately, ssh-rand-helper may be configured at build time to collect random numbers from a EGD/PRNGd server via a unix domain or localhost tcp socket. This program is not intended to be run by the end-user, so the few commandline options are for debugging purposes only.

-b bytes
    Specify the number of random bytes to include in the output.

-x  Output a hexidecimal instead of a binary seed.

-X  Force output of a binary seed, even if standard output is a tty

-v  Turn on debugging message. Multiple -v options will increase the debugging level. -h Display a summary of options.

AUTHORS
Damien Miller <djm@mindrot.org>

SEE ALSO
ssh(1), ssh-add(1), ssh-keygen(1), sshd(8)